Summary: Additional features for dovecot on SME Server
Name: smeserver-dovecot-extras
Version: 0.1.6
Release: 10%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
BuildRequires: dovecot-pigeonhole

Requires: smeserver-dovecot
Requires: dovecot-pigeonhole
Requires: acl

%description
Add IMAP acl (sharedmailbox) and sieve capabilities to the IMAP server

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1.6-10.sme
- Fix e-smith references in smeserver-dovecot-extras [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1.6-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Aug 08 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-8.sme
- fix db overwritten [SME: 12144]

* Mon Jul 25 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-7.sme
- nothing to backup outside of core folders [SME: 12006]

* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-5.sme
- add to core backup [SME: 12006]

* Mon May 31 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.6-4.sme
- move spamd entry to spamassassin [SME: 11551]

* Wed Apr 07 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.6-3.sme
- fix up sieve compile depending on whether bayes is in use [SME: 11531]

* Tue Apr 06 2021 Brian Read <brianr@bjsystems.co.uk> 0.1.6-2.sme
- Add -update event to avoid reboot on install [SME: 11032]

* Thu Nov 12 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1.6-1
- New build for Koozali SME v10
- exclude /us/bin dir

* Tue Mar 27 2018 Daniel Berteaud <daniel@firewall-services.com> 0.1.5-1
- Don't set default ACL for authenticated users (daniel@firewall-services.com)

* Sun Nov 19 2017 Daniel Berteaud <daniel@firewall-services.com> 0.1.4-1
- new package built with tito

* Thu Jun 8 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1
- Add support for public mailboxes (patch from John H. Bennett III
  <bennettj@thebennetthome.com>)
- Ignore moves from junkmail to Éléments supprimés

* Mon Mar 6 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- Support spam learning by moving to/from junkmail or Junk

* Mon Jun 23 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- Add missing /home/e-smith/db/dovecot dir
- Remove submission_host for sieve

* Tue Oct 29 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.0.2-1
- Use SMTP for sieve notifications

* Tue Nov 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.0.1-1
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
mkdir -p root/home/e-smith/db/dovecot
mkdir -p root/home/e-smith/files/public/{cur,new,tmp}

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --dir /home/e-smith/db/dovecot 'attr(2770,root,sharedmailbox)' \
   --dir /home/e-smith/files/public 'attr(2770,root,sharedmailbox)' \
   --dir /home/e-smith/files/public/cur 'attr(2770,root,sharedmailbox)' \
   --dir /home/e-smith/files/public/new 'attr(2770,root,sharedmailbox)' \
   --dir /home/e-smith/files/public/tmp 'attr(2770,root,sharedmailbox)' \
   --file /home/e-smith/db/dovecot/sharedmailbox.db 'attr(0660,root,sharedmailbox) %config(noreplace)' \
   --file /usr/bin/imap-postlogin 'attr(0755,root,root)' \
   --file /usr/libexec/dovecot/learn-spam.sh 'attr(0755,root,root)' \
   --file /usr/libexec/dovecot/learn-ham.sh 'attr(0755,root,root)' \
   --ignoredir /usr/bin \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 439 sharedmailbox 2> /dev/null || :

%post
if [ -s /home/e-smith/db/dovecot/sharedmailbox.db ] ; then  
    # echo "we already have a non empty file at destination"  ; 
    # delete etc file if empty
    if [ -e /etc/dovecot/sharedmailbox/dict.db ] ; then
       # if exists and not empty  we backup, else we delete
       [ -s /etc/dovecot/sharedmailbox/dict.db ] && mv -f /etc/dovecot/sharedmailbox/dict.db /home/e-smith/db/dovecot/dictdb.old || rm -rf /etc/dovecot/sharedmailbox ;
    fi
elif [ -e /etc/dovecot/sharedmailbox/dict.db ]; then  
    # if exists and not empty
    [ -s /home/e-smith/db/dovecot/sharedmailbox.db ] && mv -f /etc/dovecot/sharedmailbox/dict.db /home/e-smith/db/dovecot/sharedmailbox.db ; 
    # then we remove the etc dir ; 
    rm -rf /etc/dovecot/sharedmailbox
fi

%preun

